__all__ = ["exceptions", "flask", "tornado", "websocket", "util"]

import os

ROOT_PATH = os.path.abspath("/home/sebastian/git/sketchlink/server/sketchlink/")
DB_PATH = os.path.join(ROOT_PATH, "data/db/sketchlink.db")
SKETCHES_PATH = os.path.join(ROOT_PATH, "data/sketches/")
WEBVIEW_PATH = os.path.join(ROOT_PATH, "data/webview/")
LOG_PATH = os.path.join(ROOT_PATH, "data/log/")
TEMPLATE_PATH = os.path.join(ROOT_PATH, "data/templates/")

GUID_RE = r"[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}"
ARTIFACT_ID_RE = r"[smc]-" + GUID_RE
SKETCH_ID_RE = r"s-" + GUID_RE
MARKER_ID_RE = r"m-" + GUID_RE
CODE_ID_RE = r"c-" + GUID_RE
CLIENT_ID_RE = r"v-" + GUID_RE

PROTOCOL_VERSION = 1.0
