from sketchlink.exceptions import SketchLinkError

class InvalidArgumentError(SketchLinkError):
    def __init__(self, argument_name, argument_value):
        self.argument_name = argument_name
        self.argument_value = argument_value

    def __str__(self):
        return "Invalid value " + self.argument_value + " for argument " + self.argument_name
