/**
 * This file changes the default configuration of jQuery mobile (has to be loaded after jQuery and before jQuery mobile).
 *
 * @author baltes
 * @see index.html, NavigationView.html
 *
 */
$(document).on("mobileinit", function() {
    /* disable blue highlighting of buttons after click (cp. http://stackoverflow.com/questions/7507099/how-do-you-remove-a-buttons-active-state-with-jquery-mobile) */
    $.mobile.activeBtnClass = 'sl-empty-class'; // seems not to work in Firefox

    /* configure page loading widget  (cp. http://api.jquerymobile.com/page-loading/) */
    $.mobile.loader.prototype.options.text = "loading...";
    $.mobile.loader.prototype.options.textVisible = true;
    $.mobile.loader.prototype.options.theme = "a";
    $.mobile.loader.prototype.options.html = "";
});