__all__ = ["database", "websocket_api"]

import sketchlink
import os
import time
import math

from tornado import wsgi, web
from sketchlink.flask import flask_app
from sketchlink.tornado.websocket_api import WebSocketAPI

# todo: close file!
log_file = open(os.path.join(sketchlink.LOG_PATH, str(math.floor(time.time()))) + ".log", "a", 1)

flask_container = wsgi.WSGIContainer(flask_app)
tornado_app = web.Application([
    (r"/websocket", WebSocketAPI),
    (r".*", web.FallbackHandler, dict(fallback=flask_container))
])